# Inflow, Upper Outflow and Bunaveela Trout Length Distribution for all years

install.packages('ggjoy')
library(ggjoy)
install.packages("ggridges")
library(ggridges)
?`ggridges-package`
library(ggplot2)

setwd("C:/Users/rfinlay/Desktop/1 Bunaveela Asymmetry  Chapter/Behavioural and Growth Analyses/Historical fish lengths/")


##get biovolume data
getwd()
lf<-read.csv("HistoricTroutLengths.csv")
str(lf)
summary(lf)

lf$year<-as.factor(lf$year)
lfReduced<-lf[which(lf$tl<300),]
BunOnly1<-lf[ which(lf$Site=='Bunaveela'),]


ggplot(lfReduced,aes(x=tl,y=Site)) + 
  geom_density_ridges(rel_min_height = 0.006) +        # removes tails
  scale_y_discrete(expand = c(0.01, 0)) +  # removes cutoff top
  xlim(0, 250) +
  labs(x="Fork Length (mm)",y="") +
  theme(axis.text=element_text(size=12), panel.background = element_rect(fill = "white"),
        plot.background = element_rect(        fill = "white",
                                               colour = "black",
                                               size = 1)) + geom_vline(xintercept = 165, colour= "red")
